
@import '../../../../assets/styles/common.scss';

.orbitracker-modal-container {
    width: 100%;
    position: relative;
    height: calc(100vh - 220px);
    
    .grid-container {
        svg {
            font-size: 28px;
        }
    }

    &-navigation {
        width: 100%;
        display: flex;
        flex-wrap: nowrap;
        flex-direction: row;
        align-items: center;

        &-export {
            &.mdl-button {
                width: 40px;
                height: 40px;
                padding: 8px;
                color: lighten($bgColor, 5);

                &:hover, &:focus {
                    color: darken($bgColor, 5);
                }

                &:active {
                    color: darken($bgColor, 10);
                }
            }
        }

        &-form {

            width: 100%;
            display: flex;
            flex-wrap: nowrap;
            flex-direction: row;
            align-items: center;
            padding-bottom: 10px;

            &-datetimepicker {
                margin-top: 20px;

                .rdt.rdtOpen .rdtPicker {

                    width: 100%;

                    .rdtDays,
                    .rdtMonths,
                    .rdtYears {
                        margin-top: 5px;
                    }
                }

                .rdt {
                    input {
                        background-position-x: calc(100% - 16px);
                    }
                }
            }
        }
    }
}

.orbitracker-detailed-positions-grid-wrapper {
    height: calc(100% - 70px);
}

@media screen and (max-width: 768px){
    .orbitracker-modal-container {
        height: calc(100vh - 120px);
        display: flex;
        flex-direction: column;
            &-navigation {
                align-items: flex-start;
                min-height: 100px;

                &-form {
                    flex-wrap: wrap;
                    flex-direction: column;

                    &-line {
                        display: none;
                    }
                }
            }
    }
    .orbitracker-detailed-positions-grid-wrapper {
        overflow-y: auto;
    }
    .orbitracker-modal-container-navigation-form-datetimepicker {
        margin-top: 10px;
    }
}
